#
# spec file for package python-neutronclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-neutronclient
Version:        6.12.0
Release:        3.7
Summary:        Python API and CLI for OpenStack Neutron
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/python-neutronclient/python-neutronclient-6.12.0.tar.gz
# https://review.openstack.org/585387
# Needed for osprofiler==2.3.0
BuildRequires:  openstack-macros
BuildRequires:  python2-cliff
BuildRequires:  python2-fixtures
BuildRequires:  python2-keystoneauth1
BuildRequires:  python2-keystoneclient
BuildRequires:  python2-mock
BuildRequires:  python2-mox3
BuildRequires:  python2-netaddr
BuildRequires:  python2-os-client-config
BuildRequires:  python2-osc-lib
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.log
BuildRequires:  python2-oslo.serialization
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-osprofiler
BuildRequires:  python2-pbr
BuildRequires:  python2-requests-mock
BuildRequires:  python2-setuptools
BuildRequires:  python2-stestr
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python3-cliff
BuildRequires:  python3-fixtures
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-keystoneclient
BuildRequires:  python3-mock
BuildRequires:  python3-mox3
BuildRequires:  python3-netaddr
BuildRequires:  python3-os-client-config
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.log
BuildRequires:  python3-oslo.serialization
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-osprofiler
BuildRequires:  python3-pbr
BuildRequires:  python3-requests-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
Requires:       python-Babel
Requires:       python-cliff
Requires:       python-debtcollector
Requires:       python-iso8601
Requires:       python-keystoneauth1
Requires:       python-keystoneclient
Requires:       python-netaddr
Requires:       python-os-client-config
Requires:       python-osc-lib
Requires:       python-oslo.i18n
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-simplejson
Requires:       python-six
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
Client library and command line utility for interacting with OpenStack
Neutron's API.

%package -n python-neutronclient-doc
Summary:        Documentation for OpenStack Neutron API Client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-reno

%description -n python-neutronclient-doc
Client library and command line utility for interacting with OpenStack
Neutron's API.

%prep
%autosetup -p1 -n %{name}-%{version}
%py_req_cleanup

%build
%{python_build}

# Build HTML docs and man page
PBR_VERSION=6.12.0 sphinx-build -b html doc/source doc/build/html
PBR_VERSION=6.12.0 sphinx-build -b man doc/source doc/build/man
rm -r doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/neutron

%post
%python_install_alternative neutron

%postun
%python_uninstall_alternative neutron

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%{python_sitelib}/neutronclient
%{python_sitelib}/*.egg-info
%python_alternative %{_bindir}/neutron

%files -n python-neutronclient-doc
%doc doc/build/html README.rst
%license LICENSE

%changelog
